Raspberry Pi fresh install update errors

  • Fresh install on Raspberry Pi 4. The only thing i have installed on this system is the installScript.

    The server works and is serving files.

    Update is experiencing all kinds of noise.



    Update

  • I’ve never seen anyone useapt-get clean with OMV upgrades. Why was that? I’m also curious to know why you didn’t use the Update Manager in the GUI to upgrade. I’m not saying it was wrong, because I don’t know. Those two items seem to be out of the ordinary.


    Also, explain a bit about the install script and instructions you used to get your server up and running. What version of OMV is installed?

    Easy data backup: In a Scheduled Job: rsync -av --delete /srv/dev-disk-by-label-SOURCE/ /srv/dev-disk-by-label-DESTINATION/ (HT: Getting Started with OMV5)
    OMV 5 (current) - Thinkserver TS140, Nextcloud, Plex, Airsonic, Navidrome, Ubooquity, Digikam, Wetty, & Heimdall - NanoPi M4 (v.1): backups using Rsync and Rsnapshot - Odroid XU4 (Using DietPi): PiHole - hc2, xu4, Pi 3B+, Odroid H2, and VirtualBox: Testing and playing - Mac user converting to Linux, Debian 10 KDE.

  • Did you change the system locale before running the install script?

    omv 5.6.13 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Did you change the system locale before running the install script?

    i did. For me the script was a rollercoaster. This was the first time out of 5 attempts i got it up and running.

    The gui was going great. After sharing some folders I started to get gui errors.

    anyway if it helps this is my omv-aptclean


  • I’ve never seen anyone useapt-get clean with OMV upgrades. Why was that? I’m also curious to know why you didn’t use the Update Manager in the GUI to upgrade. I’m not saying it was wrong, because I don’t know. Those two items seem to be out of the ordinary.


    Also, explain a bit about the install script and instructions you used to get your server up and running. What version of OMV is installed?

    This install was mean to replace a previous install that would not update.

    So I am using for this install a Raspberry Pi 4 1GB. I am using the 05/07/2021 Release of 32-bit Raspberry Pi OS. It is running from a Samsung USB 3.0 flash drive. with an empty microSD in the slot.
    (I tried a couple times with the same OS and had complete failure and almost gave up. I also tried Debian Bullseye but that failed differently)

    Anyway, the installscript installs 5.6.16-1 (Usul)

    On the final install (successful) I set up all of the localization settings on raspi-config. set up /etc/hosts and /etc/hostname. As well as added a user other than pi that was put in the sudo group. Ran the script from that user home directory.

  • I am using the 05/07/2021 Release of 32-bit Raspberry Pi OS. It is running from a Samsung USB 3.0 flash drive. with an empty microSD in the slot.

    1. Is that the desktop or lite version? With the desktop you will have problems.
    2. Why aren’t you using a SD card for your OS?

    Easy data backup: In a Scheduled Job: rsync -av --delete /srv/dev-disk-by-label-SOURCE/ /srv/dev-disk-by-label-DESTINATION/ (HT: Getting Started with OMV5)
    OMV 5 (current) - Thinkserver TS140, Nextcloud, Plex, Airsonic, Navidrome, Ubooquity, Digikam, Wetty, & Heimdall - NanoPi M4 (v.1): backups using Rsync and Rsnapshot - Odroid XU4 (Using DietPi): PiHole - hc2, xu4, Pi 3B+, Odroid H2, and VirtualBox: Testing and playing - Mac user converting to Linux, Debian 10 KDE.

    1. Is that the desktop or lite version? With the desktop you will have problems.
    2. Why aren’t you using a SD card for your OS?

    1. Lite. Omv does not require desktop.

    2. I prefer booting from USB devices. Ideally after I get all the kinks out of the install process I will transition to a m.2 Sata ssd

  • Since you have an empty SD Card, care to test something?


    1 - Download the 64Bit Lite version of RaspiOS from here


    2 - Flash it with Win32DiskImager (or Etcher, or Raspberry Imager)


    3 -

    3a - If not physically attached to the Pi: Before you put the SD Card in the Pi, create an empty text file in the boot of the SD Card named "ssh"

    Find out what is your Pi IP (on the router) or try to SSH with PuTTy with "raspberrypi" as the hostname.

    Goto 3b

    3b - If physically attached to the Pi: run sudo raspi-config and set your locale, hostname, change Pi password, activate SSH, update the tool and make sure that you DO NOT activate "wait for network on boot".

    Run sudo apt update and after, sudo apt upgrade

    Reboot


    Did everything ran OK?

    Yes= Goto 4

    No= Check your NETWORK and retry 3


    4 - Install OMV without configure NETWORK as described here:

    To skip network setup

  • I can test it this evening.

  • For me the script was a rollercoaster. This was the first time out of 5 attempts i got it up and running.

    None of the errors you are getting are caused by the script. They are python locale or apt errors. I have never been able to reproduce any of those. So, I have no idea why you are getting them. I asked if you changed the locale because I was going to tell you to not change it before running the script. And if you are changing many things before running the script, it makes it even harder to figure out the issue.

    omv 5.6.13 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • That was very smooth.

    But what always happens is i go run sudo apt-get update from the cmd line and i get this:


  • None of the errors you are getting are caused by the script. They are python locale or apt errors. I have never been able to reproduce any of those. So, I have no idea why you are getting them. I asked if you changed the locale because I was going to tell you to not change it before running the script. And if you are changing many things before running the script, it makes it even harder to figure out the issue.

    You are correct.


    Unfortunately the reason I am here is that I could not find a guide to assemble the install from scratch. Every video and guide is:

    Fresh OS

    Run script


    What I am really looking for is an install that will upgrade without python errors, merge errors, dpkg errors etc.


    I am willing to do things the hard way.

  • What I am really looking for is an install that will upgrade without python errors, merge errors, dpkg errors etc.

    What do you mean by upgrade? The errors you are getting are caused by something you are doing. You might be doing something that is bad for OMV even if you want it. And if we can't reproduce it, I don't know how to fix it. There is no guide that will fix a bug. If you post everything you are doing from the beginning, it might be possible to fix it.

    Unfortunately the reason I am here is that I could not find a guide to assemble the install from scratch

    These guides are from scratch - Installing OMV5 on Raspberry PI's, Armbian SBC's, & i386 32-bit platforms

    omv 5.6.13 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.6
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!